Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#166 closed Bug/Something is broken (fixed)

CIW website off-line and configuration appears garbled.

Reported by: alfredo Owned by: Jamie McClelland
Priority: Urgent Component: Tech
Keywords: Cc:
Sensitive: no

Description

ciw-online.org

shows a "forbidden permissions" error (btw, there is no idex.htm file -- the index page is .html)

the web config for the site

shows this error repeatedly

Error! 2007-10-22 15:55:08 Failed apache check syntax command! There is probably a typo or other mistake in your apache settings. Output: apache2: Syntax error in -C/-c directive: Syntax error on line 669 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/sites-enabled/domesticworkersunited.org: No such file or directory.

domesticworkersunited.org is an MF/PL hosted website so maybe there's some confusion.

Meghan Cohorst emailed the issue.

Change History (5)

comment:1 Changed 12 years ago by Daniel Kahn Gillmor

Did the domesticworkersunited account just get removed from viewsic? There was a dangling link remaining in /etc/apache2/sits-available, which was causing this trouble.

Here's me trying to figure out what happened, and finally fixing it:

[0 dkg@viewsic ~]$ ls -la /etc/apache2/sites-*/domesticworkersunited.org
lrwxrwxrwx 1 root root 92 2005-12-06 20:05 /etc/apache2/sites-available/domesticworkersunited.org -> /home/members/domesticworkersunited/sites/domesticworkersunited.org/.red/apache2/apache.conf
lrwxrwxrwx 1 root root 54 2005-06-15 00:56 /etc/apache2/sites-enabled/domesticworkersunited.org -> /etc/apache2/sites-available/domesticworkersunited.org
[0 dkg@viewsic ~]$ sudo a2dissite domesticworkersunited.org
This site is already disabled, or does not exist!
[1 dkg@viewsic ~]$ ls -la /etc/apache2/sites-*/domesticworkersunited.org
lrwxrwxrwx 1 root root 92 2005-12-06 20:05 /etc/apache2/sites-available/domesticworkersunited.org -> /home/members/domesticworkersunited/sites/domesticworkersunited.org/.red/apache2/apache.conf
lrwxrwxrwx 1 root root 54 2005-06-15 00:56 /etc/apache2/sites-enabled/domesticworkersunited.org -> /etc/apache2/sites-available/domesticworkersunited.org
[0 dkg@viewsic ~]$ sudo rm /etc/apache2/sites-enabled/domesticworkersunited.org 
[0 dkg@viewsic ~]$ sudo apache2ctl configtest
Syntax OK
[0 dkg@viewsic ~]$ 

It should be working now.

comment:2 Changed 12 years ago by Jamie McClelland

Resolution: fixed
Status: newclosed

Ah - dkg and I were working at the same time :).

There were two problems:

  • I discovered the dwu had been moved to chavez, so I cleaned up their files, but forgot that dangling symlink.

comment:3 Changed 12 years ago by Jamie McClelland

Trying again with the comment 8 link.

comment:4 Changed 12 years ago by Daniel Kahn Gillmor

Sorry about that. Next time i start working on something, i'll claim it to shift assignment to myself. Maybe if you're actively working on it, you could choose "accept ticket" so that i know it's on your plate?

comment:5 Changed 12 years ago by Jamie McClelland

Yes - you are right. I'm not so good about claiming things or checking to see if a ticket has been claimed. I think that's good procedure to do at the outset of any work on a ticket.

Please login to add comments to this ticket.

Note: See TracTickets for help on using tickets.